/****************************************************************************
 *   Copyright (C) 2009-2010 by Claas Anders "CaScAdE" Rathje               *
 *   admiralcascade@gmail.com                                               *
 *   Project-URL: http://www.mylifesucks.de/oss/c-osd/                      *
 *                                                                          *
 *   This program is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 2 of the License.         *
 *                                                                          *
 *   This program is distributed in the hope that it will be useful,        *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for more details.                           *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to the                          *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 ****************************************************************************/

#define CHECKBYTE1 64
#define CHECKBYTE2 46

#define MENU_LEFT	 1
#define MENU_MIDDLE	15
#define MENU_TOP	 2

extern uint8_t COSD_FLAGS_MODES, COSD_FLAGS_CONFIG, COSD_FLAGS_RUNTIME, COSD_DISPLAYMODE;
extern uint8_t min_voltage;
extern uint8_t max_voltage;
extern uint8_t bottom_line;

extern volatile uint16_t uptime;

/**
 * read data saved in eeprom, print out message if <verbose> is set
 */
void init_cosd(uint8_t);

/**
 * a simple config menu tryout
 */
void config_menu(void);

/**
 * read data saved in eeprom, print out message if <verbose> is set
 */
void get_eeprom(uint8_t);

